--
-- Mod: FS22_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersContractRewards by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- Download: www.modhoster.com
-- All rights reserved.
-- Version 1.0.0.2 
-- 26-11-2021

RealNumbersContractRewards = {};

function RealNumbersContractRewards:loadMap(name)

	RN.notRunYetRealNumbersContractRewards = true;
	RN.upStartRealNumbersContractRewards = true;
	RN.contractRewards = {};
	RN.contractRewards.vehicleUseCostPerHa 					= 100;		-- default RLN value 100 
	RN.contractRewards.priceScales = {};
	RN.contractRewards.priceScales.REWARD_PER_HA 			= 0.333;	-- default RLN value 0.333
	RN.contractRewards.priceScales.REWARD_PER_HA_WIDE 		= 0.333;	-- default RLN value 0.333
	RN.contractRewards.priceScales.REWARD_PER_HA_SMALL 		= 0.333;	-- default RLN value 0.333
	RN.contractRewards.priceScales.REWARD_PER_HA_SILAGE 	= 0.333;	-- default RLN value 0.333
	RN.contractRewards.priceScales.REWARD_PER_METER 		= 0.333;	-- default RLN value 0.333
	RN.contractRewards.priceScales.REWARD_PER_HA_HAY 		= 0.333;	-- default RLN value 0.333
	RN.contractRewards.priceScales.REIMBURSEMENT_PER_HA 	= 0.333;	-- default RLN value 0.333
	RN.contractRewards.priceScales.REWARD_PER_OBJECT 		= 0.333;	-- default RLN value 0.333

		print("\n --- RealNumbersContractRewards.lua started --- \n");
		
		if g_missionManager.missionTypes ~= nil then 

			for i, v in pairs(g_missionManager.missionTypes) do
			
				if g_missionManager.missionTypes[i].classObject.REWARD_PER_HA ~= nil then
					g_missionManager.missionTypes[i].classObject.REWARD_PER_HA  = g_missionManager.missionTypes[i].classObject.REWARD_PER_HA  
																				* RN.contractRewards.priceScales.REWARD_PER_HA;
					RN.contractRewards.REWARD_PER_HA = g_missionManager.missionTypes[i].classObject.REWARD_PER_HA;
				end;
				if g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_WIDE ~= nil then
					g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_WIDE  = g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_WIDE
																					* RN.contractRewards.priceScales.REWARD_PER_HA_WIDE;
					RN.contractRewards.REWARD_PER_HA_WIDE = g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_WIDE;
				end;
				if g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_SMALL  ~= nil then
					g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_SMALL   = g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_SMALL
																						* RN.contractRewards.priceScales.REWARD_PER_HA_SMALL;
					RN.contractRewards.REWARD_PER_HA_SMALL = g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_SMALL;
				end;
				if g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_SILAGE ~= nil then
					g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_SILAGE  = g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_SILAGE
																						* RN.contractRewards.priceScales.REWARD_PER_HA_SILAGE;
					RN.contractRewards.REWARD_PER_HA_SILAGE = g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_SILAGE;
				end;		  
				if g_missionManager.missionTypes[i].classObject.REWARD_PER_METER ~= nil then
					g_missionManager.missionTypes[i].classObject.REWARD_PER_METER  = g_missionManager.missionTypes[i].classObject.REWARD_PER_METER
																					* RN.contractRewards.priceScales.REWARD_PER_METER;
					RN.contractRewards.REWARD_PER_METER = g_missionManager.missionTypes[i].classObject.REWARD_PER_METER;
				end;
				if g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_HAY ~= nil then
					g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_HAY  = g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_HAY
																					* RN.contractRewards.priceScales.REWARD_PER_HA_HAY;
					RN.contractRewards.REWARD_PER_HA_HAY = g_missionManager.missionTypes[i].classObject.REWARD_PER_HA_HAY;
				end;		  
				if g_missionManager.missionTypes[i].classObject.REIMBURSEMENT_PER_HA  ~= nil then
					g_missionManager.missionTypes[i].classObject.REIMBURSEMENT_PER_HA   = g_missionManager.missionTypes[i].classObject.REIMBURSEMENT_PER_HA
																						* RN.contractRewards.priceScales.REIMBURSEMENT_PER_HA;
					RN.contractRewards.REIMBURSEMENT_PER_HA = g_missionManager.missionTypes[i].classObject.REIMBURSEMENT_PER_HA;
				end;
				if g_missionManager.missionTypes[i].classObject.REWARD_PER_OBJECT   ~= nil then
					g_missionManager.missionTypes[i].classObject.REWARD_PER_OBJECT    = g_missionManager.missionTypes[i].classObject.REWARD_PER_OBJECT
																						* RN.contractRewards.priceScales.REWARD_PER_OBJECT;
					RN.contractRewards.REWARD_PER_OBJECT = g_missionManager.missionTypes[i].classObject.REWARD_PER_OBJECT;
				end;
			end;
		else
			print("No missions defined");
		end;	
		print("\n --- RealNumbersContractRewards.lua updates every 10 min --- \n");
end;


function RealNumbersContractRewards:keyEvent(unicode, sym, modifier, isDown)
end;
function RealNumbersContractRewards:update(dt)

	local minute 			= g_currentMission.environment.currentMinute;
	local runMinute 		= minute % 10; -- remainder
	local fruitTypeIndex 	= 0;
	local contractFruitType = {};
	local fruitName 		= " ";
	local missionfield 		= {};
	local fieldArea 		= 0;
	local fieldId 			= 0;
	local isHost 			= true;
	
	
	if runMinute ~= 5 then RN.notRunYetRealNumbersContractRewards = true; end;
	if runMinute == 5 or RN.upStartRealNumbersContractRewards then
		if RN.notRunYetRealNumbersContractRewards then
			if g_missionManager.missions ~= nil then 
				for i, mission in pairs(g_missionManager.missions) do
					local name = mission.type.name;

					if name == "transport" then
							local numObjects = mission.numObjects;
							local objectFeeTotal = numObjects * RN.contractRewards.REWARD_PER_OBJECT;
							local totalTransportFee = objectFeeTotal;
							if mission.reward ~= nil then mission.reward = totalTransportFee; end;
					else
						missionfield = mission.field;
						fieldArea = missionfield.fieldArea;
						fieldId = missionfield.fieldId;
						if missionfield.fruitType == nil then
							fruitTypeIndex = nil;
							fruitName = "noFruitName";
						else
							fruitTypeIndex = missionfield.fruitType;
							contractFruitType = g_fruitTypeManager:getFruitTypeByIndex(fruitTypeIndex);
						end;					
						if mission.rewardPerHa ~= nil then
							mission.rewardPerHa = RN.contractRewards.REWARD_PER_HA;
						end;
						if mission.vehicleUseCost ~= nil then
							mission.vehicleUseCost = fieldArea * RN.contractRewards.vehicleUseCostPerHa;
						end;
						if mission.reward ~= nil then
							mission.reward = fieldArea * mission.rewardPerHa;
						end;
						if mission.reimbursementPerHa ~= nil then
							mission.reimbursementPerHa = RN.contractRewards.REIMBURSEMENT_PER_HA;
						end;
						
					end;	
				end;
			else
				print("No missions defined");
			end;	
		end;
		RN.notRunYetRealNumbersContractRewards = false;
		RN.upStartRealNumbersContractRewards = false;			
	end;
end;
function RealNumbersContractRewards:draw()
end;
function RealNumbersContractRewards:deleteMap()
end;
function RealNumbersContractRewards:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersContractRewards);







