--
-- Mod: FS22_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersFruitTypes by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- Download: www.modhoster.com
-- All rights reserved.
-- Version 1.0.0.2 
-- 26-11-2021

RealNumbersFruitTypes = {};

function RealNumbersFruitTypes:loadMap(name)

	RN.fruitTypes = {};
	RN.fruitTypes.yieldScale 					= 1;	-- default RLN value = 1
	RN.fruitTypes.yieldScaleWindrow 			= 1;	-- default RLN value = 1
	RN.fruitTypes.seedUsageScale	 			= 0.5;	-- default RLN value = 1
	g_currentMission.stoneSystem.litersPerSqm 	= 0.1;	-- default RLN value = 0.1 vanilla game = 5  ---------- Does not seem to have the desired effect --------------------
	
		print("\n --- RealNumbersFruitTypes.lua started --- \n");

		for i, v in pairs(g_currentMission.fruitTypeManager.fruitTypes) do
		  
		    g_currentMission.fruitTypeManager.fruitTypes[i].literPerSqm = g_currentMission.fruitTypeManager.fruitTypes[i].literPerSqm
																		* RN.fruitTypes.yieldScale;

			if g_currentMission.fruitTypeManager.fruitTypes[i].windrowLiterPerSqm ~= nil then
				g_currentMission.fruitTypeManager.fruitTypes[i].windrowLiterPerSqm  = g_currentMission.fruitTypeManager.fruitTypes[i].windrowLiterPerSqm  
																					* RN.fruitTypes.yieldScaleWindrow;
			end;

			if g_currentMission.fruitTypeManager.fruitTypes[i].seedUsagePerSqm  ~= nil then
				g_currentMission.fruitTypeManager.fruitTypes[i].seedUsagePerSqm   = g_currentMission.fruitTypeManager.fruitTypes[i].seedUsagePerSqm   
																					* RN.fruitTypes.seedUsageScale;
			end;		  
		end;	
		print("\n --- RealNumbersFruitTypes.lua finished --- \n");

end;


function RealNumbersFruitTypes:keyEvent(unicode, sym, modifier, isDown)
end;
function RealNumbersFruitTypes:update(dt)
end;
function RealNumbersFruitTypes:draw()
end;
function RealNumbersFruitTypes:deleteMap()
end;
function RealNumbersFruitTypes:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersFruitTypes);







