--
-- Mod: FS22_RealLifeNumbers by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- Script: RealNumbersStorePrices by Kaj-Aage Henneberg "Ki", ArmChairFarming
-- e-mail: kaj-aage.henneberg@outlook.dk
-- Download: www.modhoster.com
-- All rights reserved.
-- Version 1.0.0.2
-- 26-11-2021

RealNumbersStorePrices = {};

function RealNumbersStorePrices:loadMap(name)

	RN.storePriceScaling = {};
	RN.storePriceScaling.bales 			= 0.1;			-- default RLN value = 0.1; vanilla game = 1
	RN.storePriceScaling.bigbags 		= 0.1;			-- default RLN value = 0.1; vanilla game = 1
	RN.storePriceScaling.bigbagpallets 	= 0.1;			-- default RLN value = 0.1; vanilla game = 1
	RN.storePriceScaling.pallets 		= 0.1;			-- default RLN value = 0.1; vanilla game = 1
	RN.notRunYetRealNumbersStorePrices 	= true;
	RN.upStartRealNumbersStorePrices 	= true;

	print("\n --- RealNumbersStorePrices.lua started --- \n");

	for i, v in pairs(g_storeManager.items) do


		if g_storeManager.items[i].price   ~= nil then
			if g_storeManager.items[i].categoryName == "BALES" then
				g_storeManager.items[i].price   = g_storeManager.items[i].price * RN.storePriceScaling.bales;
				for n = 1,8 do
					g_storeManager.items[i].configurations.multipleItemPurchaseAmount[n].price = (n-1) * g_storeManager.items[i].price;
				end;
			end;
			if g_storeManager.items[i].categoryName == "BIGBAGS" then
				g_storeManager.items[i].price   = g_storeManager.items[i].price * RN.storePriceScaling.bigbags;
			end;
			if g_storeManager.items[i].categoryName == "BIGBAGPALLETS" then
				g_storeManager.items[i].price   = g_storeManager.items[i].price * RN.storePriceScaling.bigbagpallets;
			end;
			if g_storeManager.items[i].categoryName == "PALLETS" then
				g_storeManager.items[i].price   = g_storeManager.items[i].price * RN.storePriceScaling.pallets;
			end;
		end;
	end;
	print("\n --- RealNumbersStorePrices.lua finished --- \n");
end;


function RealNumbersStorePrices:keyEvent(unicode, sym, modifier, isDown)
end;
function RealNumbersStorePrices:update(dt)
	if runMinute ~= 8 then RN.notRunYetRealNumbersStorePrices = true; end;
	if runMinute == 8 or RN.upStartRealNumbersStorePrices then
		if RN.notRunYetRealNumbersStorePrices then
			for i, v in pairs(g_storeManager.items) do
				if g_storeManager.items[i].categoryName == "BIGBAGS" then
					if g_storeManager.items[i].configurations.multipleItemPurchaseAmount ~= nil then
						for n = 1,8 do
							g_storeManager.items[i].configurations.multipleItemPurchaseAmount[n].price = (n-1) * g_storeManager.items[i].price;
						end;
					end;
				end;
				if g_storeManager.items[i].categoryName == "BIGBAGPALLETS" then
					if g_storeManager.items[i].configurations.multipleItemPurchaseAmount ~= nil then
						for n = 1,8 do
							g_storeManager.items[i].configurations.multipleItemPurchaseAmount[n].price = (n-1) * g_storeManager.items[i].price;
						end;
					end;
				end;
			end;
		RN.notRunYetRealNumbersStorePrices = false;
		RN.upStartRealNumbersStorePrices = false;
		end;
	end;
end;
function RealNumbersStorePrices:draw()
end;
function RealNumbersStorePrices:deleteMap()
end;
function RealNumbersStorePrices:mouseEvent(posX, posY, isDown, isUp, button)
end;

addModEventListener(RealNumbersStorePrices);







